---
title: Get users with seats
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Seats
---

# Get users with seats{% #get-users-with-seats %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                         |
| ----------------- | ---------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/seats/users |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/seats/users |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/seats/users      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/seats/users      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/seats/users  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/seats/users     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/seats/users |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/seats/users |

### Overview

Get the list of users assigned seats for a product code. This endpoint requires any of the following permissions:
`billing_read``incident_read``on_call_read` 


### Arguments

#### Query Strings

| Name                           | Type    | Description                                        |
| ------------------------------ | ------- | -------------------------------------------------- |
| product_code [*required*] | string  | The product code for which to retrieve seat users. |
| page[limit]                    | integer | Maximum number of results to return.               |
| page[cursor]                   | string  | Cursor for pagination.                             |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
A paginated list of seat user resources with associated pagination metadata.

| Parent field | Field       | Type      | Description                                                 |
| ------------ | ----------- | --------- | ----------------------------------------------------------- |
|              | data        | [object]  | The list of seat users.                                     |
| data         | attributes  | object    | The attributes of the seat user.                            |
| attributes   | assigned_at | date-time | The date and time the seat was assigned.                    |
| attributes   | email       | string    | The email of the user.                                      |
| attributes   | name        | string    | The name of the user.                                       |
| data         | id          | string    | The ID of the seat user.                                    |
| data         | type        | enum      | Seat users resource type. Allowed enum values: `seat-users` |
|              | meta        | object    | The metadata of the seat users.                             |
| meta         | cursor      | string    | The cursor for the seat users.                              |
| meta         | limit       | int64     | The limit for the seat users.                               |
| meta         | next_cursor | string    | The next cursor for the seat users.                         |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "assigned_at": "2021-01-01T00:00:00Z",
        "email": "user@example.com",
        "name": "John Doe"
      },
      "id": "00000000-0000-0000-0000-000000000000",
      "type": "seat-users"
    }
  ],
  "meta": {
    "cursor": "string",
    "limit": "integer",
    "next_cursor": "string"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="422" %}
Unprocessable Entity
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Required query arguments export product_code="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/seats/users?product_code=${product_code}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get users with seats returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.seats_api import SeatsApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = SeatsApi(api_client)
    response = api_instance.get_seats_users(
        product_code="incident_response",
        page_limit=100,
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Get users with seats returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::SeatsAPI.new
opts = {
  page_limit: 100,
}
p api_instance.get_seats_users("incident_response", opts)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Get users with seats returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewSeatsApi(apiClient)
	resp, r, err := api.GetSeatsUsers(ctx, "incident_response", *datadogV2.NewGetSeatsUsersOptionalParameters().WithPageLimit(100))

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `SeatsApi.GetSeatsUsers`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `SeatsApi.GetSeatsUsers`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Get users with seats returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.SeatsApi;
import com.datadog.api.client.v2.api.SeatsApi.GetSeatsUsersOptionalParameters;
import com.datadog.api.client.v2.model.SeatUserDataArray;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    SeatsApi apiInstance = new SeatsApi(defaultClient);

    try {
      SeatUserDataArray result =
          apiInstance.getSeatsUsers(
              "incident_response", new GetSeatsUsersOptionalParameters().pageLimit(100));
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling SeatsApi#getSeatsUsers");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Get users with seats returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_seats::GetSeatsUsersOptionalParams;
use datadog_api_client::datadogV2::api_seats::SeatsAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = SeatsAPI::with_config(configuration);
    let resp = api
        .get_seats_users(
            "incident_response".to_string(),
            GetSeatsUsersOptionalParams::default().page_limit(100),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Get users with seats returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.SeatsApi(configuration);

const params: v2.SeatsApiGetSeatsUsersRequest = {
  productCode: "incident_response",
  pageLimit: 100,
};

apiInstance
  .getSeatsUsers(params)
  .then((data: v2.SeatUserDataArray) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
